#
# spec file for package libxcrypt (Version 2.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libxcrypt
License:        distributable, LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        2.4
Release:        12.2
Summary:        Crypt Library for DES, MD5, and Blowfish
Source:         libxcrypt-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libxcrypt is a replacement for libcrypt, which comes with the GNU C
Library. It supports DES crypt, MD5, and passwords with blowfish
encryption.



%debug_package
%package devel
Summary:        Development Include Files and Libraries for enhanced crypt functionality
Group:          System/Libraries
Requires:       libxcrypt = %{version}
Autoreqprov:    on

%description devel
libxcrypt is a replacement for libcrypt, which comes with the GNU C
Library. It supports DES crypt, MD5, and passwords with blowfish
encryption.

This package contains the header files and static libraries necessary
to develop software using libxcrypt.



%prep
%setup

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --libdir=%{_libdir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv -v $RPM_BUILD_ROOT%{_libdir}/libxcrypt.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf ../../%{_lib}/libxcrypt.so.1 $RPM_BUILD_ROOT%{_libdir}/libxcrypt.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README NEWS README.bcrypt README.ufc-crypt
/%{_lib}/libxcrypt.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include/*.h
%{_libdir}/libxcrypt.a
%{_libdir}/libxcrypt.la
%{_libdir}/libxcrypt.so

%changelog -n libxcrypt
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - kukuk@suse.de
- Update to 2.4 (sync with crypt_blowfish 1.0)
* Sun Sep 18 2005 - kukuk@suse.de
- Update to 2.3 (remove broken assembler code)
* Sat Apr 09 2005 - schwab@suse.de
- Fix utterly broken and unportable code.
* Fri Jun 18 2004 - kukuk@suse.de
- Update to 2.2 (apply fixes from glibc version)
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Nov 14 2003 - kukuk@suse.de
- Compile libarary with no exec stack
* Thu Oct 16 2003 - kukuk@suse.de
- Update to 2.1 (use optimized assembler version on ix86)
* Mon Jul 28 2003 - kukuk@suse.de
- Update to 2.0
* Tue May 13 2003 - kukuk@suse.de
- Add defattr to filelist
* Thu Jan 16 2003 - kukuk@suse.de
- Update to version 1.4 (compiles with glibc > 2.3.1)
* Fri Jan 10 2003 - kukuk@suse.de
- Update to version 1.3 (fix initialisation of internal data
  struct for des_crypt)
* Mon Oct 21 2002 - kukuk@suse.de
- Update to version 1.2 (fix compiling with glibc 2.3.x)
* Mon May 27 2002 - kukuk@suse.de
- Update to version 1.1 (add SHA1 support)
* Wed Apr 17 2002 - kukuk@suse.de
- Add require to libxcrypt-devel for correct shared library
* Mon Apr 15 2002 - kukuk@suse.de
- Initial version of a libcrypt replacement
